LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 09-24-2009, 12:43 PM   #1
j_unix
LQ Newbie
 
Registered: Apr 2009
Posts: 11

Rep: Reputation: 0
rpm can't see libXp.so.6


Hello,

I'm trying to install Java SE 6 on a SLES 10.2 64-bit zLinux server and I'm getting the following:

# rpm -ivh ibm-java-s390x-sdk-6.0-5.0.s390x.rpm
error: Failed dependencies:
libXp.so.6 is needed by ibm-java-s390x-sdk-6.0-5.0.s390x

However libXp.so.6 is located in: /usr/X11R6/lib64

I tried running the installer from the /usr/X11R6/lib64 directory, and copied the rpm in that directory but I still get the error, ideas?

Update:

Resolved this issue by installing the fontconfig-32bit and xorg-x11-libs-32bit packages; however, now I'm encountering a new issue:

rpm -ivh ibm-java-s390x-sdk-6.0-5.0.s390x.rpm
Preparing... ########################################### [100%]
1:ibm-java-s390x-sdk ########################################### [100%]
error: %post(ibm-java-s390x-sdk-6.0-5.0.s390x) scriptlet failed, exit status 5

Update:

This seems to only be a problem with the SDK, I was able to install the JRE with no errors. You can get around this error by using the --noscript command, however I didn't test the results of doing so.

Last edited by j_unix; 10-12-2009 at 10:44 AM. Reason: Update
 
Old 09-24-2009, 10:29 PM   #2
lazlow
Senior Member
 
Registered: Jan 2006
Posts: 4,363

Rep: Reputation: 172Reputation: 172
Are you running on a s390 computer? I THINK that is what the specific rpm you are trying to install is made for.
 
Old 09-24-2009, 10:37 PM   #3
j_unix
LQ Newbie
 
Registered: Apr 2009
Posts: 11

Original Poster
Rep: Reputation: 0
Yes, S/390x to be exact.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
libXp.so.6 not found elbadry Linux - Software 10 08-09-2011 04:16 AM
how to obtain libXp.so.6 ChrisR(SQL DBA) Linux - Newbie 3 12-15-2010 11:05 AM
libXp.so.6 on Fedora 10 910Radar Linux - Newbie 2 12-11-2008 05:59 AM
Where to find libXp.so.6 for PPC64? ykwok Red Hat 1 12-26-2007 03:36 PM
Problems with libXp.so.6 steelangel Linux - Software 1 05-04-2007 09:49 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 04:40 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration